Four scenarios automate parts of the computation of the flow and are either triggered through the [Dataiku Application](article:7) or the [Webapp](article:8).

![Scenarios.png](cMlB8UDECqSw)

- [Instantiate Flow](scenario:INSTANTIATEFLOW): Copies the local variables set in the Dataiku Application into the global variables directory, allowing the project to execute. Finishes by then running the [Rebuild Flow](scenario:Rebuild_Flow) scenario. 
- [Parse Workflow](scenario:PARSEWORKFLOW): Run the initial [python recipe](recipe:compute_workflow_parsed) to parse the input log file. It can be called via the Dataiku Application.
- [Rebuild Flow](scenario:Rebuild_Flow): Rebuild the Flow after competion of Parsing, this scenario is called by the [Dataiku Application](article:7) and runs the precalculations necessary to create the visualizations in the [Interactive Process Mining webapp](web_app:TsaekAO). This scenario is also called via the [webapp](web_app:TsaekAO) when pushing the 'Push to Flow' button.
- [Run Conformance Checks](scenario:RUNCONFORMANCECHECKS): Run conformance checks for all processes saved in the [saved_processes folder](managed_folder:1rhVX912). This scenario is triggered through the 'Run Conformance Checks' button from the webapp in the [Conformance Checks Tab](article:14).